<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE Entity SYSTEM "jbo_03_01.dtd">

<Entity
   Name="User"
   DBObjectType="table"
   DBObjectName="USERS"
   AliasName="User1"
   BindingStyle="OracleName"
   UseGlueCode="false"
   RowClass="oracle.srdemo.model.entities.UserImpl"
   MsgBundleClass="oracle.srdemo.model.entities.common.UserImplMsgBundle" >
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd10fd9-010a-1000-801f-8d9088295bcf::::EntityObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <AttrArray Name="_publishEvents">
      </AttrArray>
      <Attr Name="_superClass" Value="oracle.srdemo.model.frameworkExt.SREntityImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|Msg" />
   </DesignTime>
   <Attribute
      Name="UserId"
      IsNotNull="true"
      Precision="8"
      Scale="0"
      ColumnName="USER_ID"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      SQLType="NUMERIC"
      TableName="USERS"
      PrimaryKey="true" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8020-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="UserRole"
      IsNotNull="true"
      DefaultValue="user"
      Precision="10"
      ColumnName="USER_ROLE"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8021-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="10" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="Email"
      IsUnique="true"
      IsNotNull="true"
      Precision="50"
      ColumnName="EMAIL"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8022-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="50" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="FirstName"
      IsNotNull="true"
      Precision="30"
      ColumnName="FIRST_NAME"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8023-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="30" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="LastName"
      IsNotNull="true"
      Precision="30"
      ColumnName="LAST_NAME"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8024-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="30" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="StreetAddress"
      IsNotNull="true"
      Precision="40"
      ColumnName="STREET_ADDRESS"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8025-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="40" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="City"
      IsNotNull="true"
      Precision="30"
      ColumnName="CITY"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8026-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="30" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="StateProvince"
      Precision="25"
      ColumnName="STATE_PROVINCE"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8027-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="25" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="PostalCode"
      Precision="12"
      ColumnName="POSTAL_CODE"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      SQLType="VARCHAR"
      TableName="USERS" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8028-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="12" />
      </DesignTime>
   </Attribute>
   <Attribute
      Name="CountryId"
      Precision="2"
      ColumnName="COUNTRY_ID"
      Type="java.lang.String"
      ColumnType="CHAR"
      SQLType="CHAR"
      TableName="USERS"
      RetrievedOnUpdate="true"
      RetrievedOnInsert="true" >
      <Data>
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd10fd9-010a-1000-8029-8d9088295bcf::::EntityObjectAttribute" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="2" />
      </DesignTime>
   </Attribute>
   <AccessorAttribute
      Name="ExpertiseAreas"
      Association="oracle.srdemo.model.entities.associations.ExpertiseAreasForUser"
      AssociationEnd="oracle.srdemo.model.entities.associations.ExpertiseAreasForUser.ExpertiseAreas"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ExpertiseAreasForUser.Users"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </AccessorAttribute>
   <AccessorAttribute
      Name="ServiceHistories"
      Association="oracle.srdemo.model.entities.associations.ServiceHistoriesCreatedByUser"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceHistoriesCreatedByUser.ServiceHistories"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ServiceHistoriesCreatedByUser.Users"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </AccessorAttribute>
   <AccessorAttribute
      Name="ServiceRequests"
      Association="oracle.srdemo.model.entities.associations.ServiceRequestsAssignedToUser"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceRequestsAssignedToUser.ServiceRequests"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ServiceRequestsAssignedToUser.Users"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </AccessorAttribute>
   <AccessorAttribute
      Name="ServiceRequests1"
      Association="oracle.srdemo.model.entities.associations.ServiceRequestsCreatedByUser"
      AssociationEnd="oracle.srdemo.model.entities.associations.ServiceRequestsCreatedByUser.ServiceRequests1"
      AssociationOtherEnd="oracle.srdemo.model.entities.associations.ServiceRequestsCreatedByUser.Users1"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </AccessorAttribute>
   <Key
      Name="SysC004125" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;USER_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004125" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004126" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserRole" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;USER_ROLE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004126" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004127" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.Email" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;EMAIL&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004127" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004128" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.FirstName" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;FIRST_NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004128" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004129" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.LastName" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LAST_NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004129" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004130" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.StreetAddress" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;STREET_ADDRESS&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004130" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004131" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.City" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CITY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004131" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004722" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;USER_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004722" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004723" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserRole" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;USER_ROLE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004723" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004724" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.Email" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;EMAIL&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004724" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004725" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.FirstName" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;FIRST_NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004725" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004726" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.LastName" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LAST_NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004726" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004727" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.StreetAddress" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;STREET_ADDRESS&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004727" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004728" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.City" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CITY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004728" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004820" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;USER_ID&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004820" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004821" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserRole" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;USER_ROLE&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004821" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004822" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.Email" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;EMAIL&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004822" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004823" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.FirstName" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;FIRST_NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004823" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004824" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.LastName" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;LAST_NAME&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004824" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004825" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.StreetAddress" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;STREET_ADDRESS&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004825" />
      </DesignTime>
   </Key>
   <Key
      Name="SysC004826" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.City" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="&#34;CITY&#34; IS NOT NULL" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="SYS_C004826" />
      </DesignTime>
   </Key>
   <Key
      Name="UserRoleChk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserRole" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_checkCondition" Value="USER_ROLE IN (&#39;manager&#39;,&#39;technician&#39;,&#39;user&#39;)" />
         <Attr Name="_isCheck" Value="true" />
         <Attr Name="_DBObjectName" Value="USER_ROLE_CHK" />
      </DesignTime>
   </Key>
   <Key
      Name="UsrPk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.UserId" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_isPrimary" Value="true" />
         <Attr Name="_DBObjectName" Value="USR_PK" />
      </DesignTime>
   </Key>
   <Key
      Name="UsrUk" >
      <AttrArray Name="Attributes">
         <Item Value="oracle.srdemo.model.entities.User.Email" />
      </AttrArray>
      <DesignTime>
         <Attr Name="_isUnique" Value="true" />
         <Attr Name="_DBObjectName" Value="USR_UK" />
      </DesignTime>
   </Key>
</Entity>
